body {
    font-family: "Open Sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased !important;
}

#container {
    overflow: hidden;
}

#content-container {
    width: 100%;
    height: 100%;
    margin-top: 45px;;
}

.navbar-nav ul, li {
    list-style-type: none;
    padding: 0;
    margin: 0;
}
.navbar-nav .dropdown .caret {
    border-top-color: #fff !important;
}

.dropdown-menu > li > a {
    line-height: 45px !important;
    color: #333333 !important;
}

.dropdown-menu > li > a:hover {
    background-color: #f8f9fa !important;
    background-image: none !important;
}

.navbar .navbar-nav li > a:hover{
    text-decoration: none;
}

.logo-area {
    padding-top: 3px;
}

.theme-light .navbar {
    color: #ffffff;
    background-color: #438EB9 !important;
    height: 45px;;
    position: fixed;
    width: 100%;
    z-index: 99;
}

.theme-light .navbar .user-p-2 {
    padding: .219rem 1rem;
}

.theme-light .navbar .navbar-brand {
    color: #ffffff;
    font-weight: bold;
}

.theme-light .navbar .navbar-nav {
    height: 100%;
}

.theme-light .navbar .navbar-nav ul {
    list-style: none;
}

.theme-light .navbar .navbar-nav li {
    line-height: 45px;
    padding: 0;
    position: relative;
}

.theme-light .navbar .navbar-nav li:first-child {
    border-left: none;
}

.theme-light .navbar .navbar-nav li > a, .theme-light .navbar .navbar-nav li > span {
    position: relative;
    color: #EEE;
    display: block;
    height: 100%;
    padding: 0 8px !important;
}

.theme-light .navbar .navbar-nav li > a > .badge {
    position: relative;
    top: -4px;
    left: 2px;
    padding-right: 5px;
    padding-left: 5px;
}

.theme-light .navbar .navbar-nav .dropdown-toggle::after {
    font-size: 24px;
    color: #EEE;
}

.theme-light .navbar .navbar-nav li > .dropdown-menu:after {
    position: absolute;
    top: -6px;
    right: 25px;
    left: auto;
    display: inline-block;
    border-right: 6px solid transparent;
    border-bottom: 6px solid #ffffff;
    border-left: 6px solid transparent;
    content: '';
}

.theme-light .navbar .navbar-nav .nav-user-photo {
    margin: 4px;
    border-radius: 24px;
    border: 1px solid #FFF;
    max-width: 36px !important;
    display: inline-block;
    vertical-align: middle;
    width: 36px !important;
    height: 36px !important;
}

.theme-light .navbar .navbar-nav .user-info {
    max-width: 200px;
    display: inline-block;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    vertical-align: top;
    line-height: 18px;
    position: relative;
    top: 2px;
}

.theme-light .navbar .navbar-nav .user-info > small {
    display: block;
}

.theme-light .navbar .navbar-nav .dropdown-menu {
    border-radius: 0;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    left: auto;
    right: 0;
    min-width: 180px;
}

.theme-light .navbar .navbar-nav .dropdown-submenu {
    position: relative;
    border-radius: 0 !important;
}

.theme-light .navbar .navbar-nav .dropdown-submenu > .dropdown-menu {
    top: 0;
    left: auto;
    right: auto;
    margin-top: -6px;
    margin-left: -1px;
}

.theme-light .navbar .navbar-nav .dropdown-submenu:hover > .dropdown-menu {
    display: block;
}

.theme-light .navbar .navbar-nav .dropdown-submenu.pull-left > .dropdown-menu {
    left: -84%;
}

.theme-light .navbar .navbar-nav .dropdown-submenu .dropdown-toggle::after {
    font-size: 14px;
    color: #212529;
}

.theme-light .navbar .logo-area {
    white-space: nowrap;
    overflow: hidden;
}

.theme-light #mainnav-menu a {
    display: block;
    color: inherit;
    padding: 12px 18px;
}

.theme-light #mainnav-menu a:hover {
    text-decoration: none;
}

.theme-light #mainnav-menu .active:not(.active-sub) > a {
    color: #25476a;
    text-decoration: none;
}

.theme-light #mainnav-menu ul, .theme-light #mainnav-menu .sub-menu ul {
    list-style: none;
    padding-left: 0;
}

.theme-light #mainnav-menu li > a:hover, .theme-light #mainnav-menu li > a:active {
    color: #25476a;
}

.theme-light #mainnav-menu li > a.hover {
    color: #25476a;
    background-color: #ffffff;
}

.theme-light #mainnav-menu .active:not(.active-sub) > a.active {
    color: #ffffff;
    font-weight: 600;
    background-color: #438EB9;
    margin: 0 5px;
    padding-left: 13px;
    padding-right: 13px;
    border-radius: 3px;
}

.theme-light #mainnav-menu .active-sub > a, .theme-light #mainnav-menu .active-sub > a:hover {
    color: #ffffff;
    font-weight: 600;
    background-color: #438EB9;
    margin: 0 5px;
    padding-left: 13px;
    padding-right: 13px;
    border-radius: 3px;
}

.theme-light #mainnav-menu .active-sub .active-sub > a, .theme-light #mainnav-menu .active-sub .active-sub > a:hover {
    color: #25476a;
    font-weight: 700;
}

.theme-light #mainnav-menu .active-sub .active-sub > a > .arrow:before, .theme-light #mainnav-menu .active-sub .active-sub > a:hover > .arrow:before {
    border-width: 0.15em 0.15em 0 0;
}

.theme-light #mainnav-menu .active:not(.active-sub) > a {
    color: #25476a;
}

.theme-light #mainnav-menu .active {
    background-color: #f5f5f5;
}

.theme-light #mainnav-menu ul .list-header {
    padding: 10px 20px 12px 55px;
}

.theme-light #mainnav-menu ul ul a {
    padding: 10px 20px 12px 65px;
}

.theme-light #mainnav-menu i {
    vertical-align: middle;
    min-width: 20px;
}

.theme-light #mainnav-menu ul a, .theme-light #mainnav-menu .menu-popover .sub-menu ul a {
    padding: 10px 20px 12px 35px;
}

.theme-light #mainnav-menu ul a:hover, .theme-light #mainnav-menu .menu-popover .sub-menu ul a:hover {
    color: #25476a;
}

.theme-light #mainnav-menu ul ul a:hover, .theme-light #mainnav-menu .menu-popover .sub-menu ul ul a:hover {
    color: #25476a;
}

.theme-light #mainnav-menu ul a.active, .theme-light #mainnav-menu .menu-popover .sub-menu ul a.active {
    font-weight: 700;
    color: #25476a;
}

.theme-light #mainnav-menu .list-header {
    padding: 10px 15px;
    position: relative;
}

#mainnav {
    background-color: #ffffff;
    color: #6b737c;
    height: calc(100vh - 65px);
    overflow: auto;
}

#mainnav #mainnav-menu.menu-lg li i {
    font-size: 16px;
    min-width: 20px;
}

#mainnav #mainnav-menu.menu-lg li .arrow {
    line-height: 0.45 !important;
}

#mainnav .list-header {
    font-size: .88em;
    font-weight: 700;
    color: #3c4045;
    text-transform: uppercase;
}

#mainnav .list-divider {
    border-bottom: 1px solid rgba(0, 0, 0, 0.07);
    margin: 8px 0;
}

#mainnav .list-divider + .list-header {
    margin-top: 0;
}

#mainnav li .arrow {
    float: right;
    line-height: 1.15;
    padding-right: 0;
}

#mainnav li .arrow:before {
    content: '';
    border-style: solid;
    border-width: 0.1em 0.1em 0 0;
    display: inline-block;
    height: 0.4em;
    left: 0;
    position: relative;
    top: 0;
    width: 0.4em;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}

#mainnav li.active > a > .arrow:before {
    -webkit-transform: rotate(135deg);
    transform: rotate(135deg);
}

#mainnav li .arrow:before {
    transition: all 0.3s;
}

.mainnav-sm #mainnav li .arrow {
    float: right;
    line-height: 1.15;
    padding-right: 0;
    margin-top: 11px;
}

.mainnav-sm .navbar-brand {
    display: none;
}

.navbar-brand:focus, .navbar-brand:hover {
    text-decoration: none;
}

@media (min-width: 992px) {
    #container.mainnav-lg #mainnav-container {
        left: 0;
    }

    #container.mainnav-lg #content-container {
        padding-left: 245px;
    }
}

@media (min-width: 768px) {
    #container.mainnav-sm #mainnav-menu {
        position: fixed;
        width: 70px;
    }

    #container.mainnav-sm #mainnav-menu .list-header, #container.mainnav-sm #mainnav-menu .list-divider, #container.mainnav-sm #mainnav-menu .menu-title, #container.mainnav-sm #mainnav-menu .arrow, #container.mainnav-sm #mainnav-menu .menu-title > .label,
    #container.mainnav-sm #mainnav-menu .menu-title > .badge {
        display: none;
    }

    #container.mainnav-sm #mainnav-menu .hover {
        position: relative;
    }

    #container.mainnav-sm #mainnav-menu .hover .arrow {
        display: inline;
        position: absolute;
        margin-left: 5px;
    }

    #container.mainnav-sm #mainnav-menu .hover .arrow:before {
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    #container.mainnav-sm #mainnav-menu a {
        white-space: nowrap;
        position: relative;
        padding: 12px 0;
        margin: 0;
        border-radius: 0;
        text-align: center;
    }

    #container.mainnav-sm #mainnav-menu a .badge {
        margin-top: -1.5em;
        position: absolute;
        padding: 3px 7px;
        right: 2px;
        top: 25%;
    }

    #container.mainnav-sm #mainnav-menu a i {
        padding: 0;
    }

    #container.mainnav-sm #mainnav-menu a.active {
        color: #ffffff;
    }

    #container.mainnav-sm #mainnav-menu li.active-sub ul.submenu > li > a.active {
        color: #25476a;
    }

    #container.mainnav-sm #mainnav-menu .collapse {
        display: none;
        height: 0 !important;
    }

    #container.mainnav-sm #mainnav-menu li > a:hover:before {
        display: block;
        content: "";
        position: absolute;
        top: -1px;
        bottom: 0;
        left: 0;
        width: 1px;
        max-width: 1px;
        overflow: hidden;
        background-color: #438EB9;
    }

    #container.mainnav-sm #mainnav-menu .menu-title {
        color: #25476a;
        position: absolute;
        z-index: 99;
        left: 71px;
        top: -2px;
        min-width: 175px;
        height: 39px;
        line-height: 38px;
        background-color: #f5f5f5;
        box-shadow: 2px 1px 2px 0 rgba(0, 0, 0, 0.2);
        border: 1px solid #CCC;
        text-align: left !important;
        padding: 0 10px 0 12px !important;
        vertical-align: middle;
    }

    #container.mainnav-sm #mainnav-menu ul.submenu {
        display: none;
        background-color: #fafafa;
        position: absolute;
        z-index: 98;
        left: 71px;
        top: -2px;
        min-width: 175px;
        border: 1px solid #CCC;
        box-shadow: 2px 1px 2px 0 rgba(0, 0, 0, 0.2);
        padding-top: 40px;
        padding-bottom: 2px;
        overflow-x: hidden;
        overflow-y: auto;
        height: auto !important;
    }

    #container.mainnav-sm #mainnav-menu li:hover {
        position: relative;
    }

    #container.mainnav-sm #mainnav-menu li:hover .menu-title {
        display: block !important;
    }

    #container.mainnav-sm #mainnav-menu li:hover ul.submenu {
        display: block !important;
        visibility: visible;
    }

    #container.mainnav-sm #mainnav-menu li:hover ul.submenu li {
        margin: 0;
        padding: 0;
    }

    #container.mainnav-sm #mainnav-menu li:hover ul.submenu li a {
        text-align: left !important;
        padding: 12px 18px !important;
    }

    #container.mainnav-sm #navbar .navbar-content {
        margin-left: 70px;
    }

    #container.mainnav-sm #content-container {
        padding-left: 70px;
        left: 0;
    }

    #container.mainnav-sm #mainnav-container, #container.mainnav-sm #navbar .navbar-brand {
        width: 70px;
        left: 0;
        overflow: visible;
    }

    #container.mainnav-sm #mainnav {
        position: relative;
    }
}

@media (max-width: 760px) {
    #container .search-input-group {
        display: none;
    }

    #container .navbar-brand {
        display: inline-block !important;
    }

    #container.mainnav-sm #mainnav-container {
        display: none;
    }

    #container.mainnav-sm #content-container {
        padding-left: 5px;
    }

    #container.mainnav-lg #mainnav-container {
        width: 70px;
    }

    #container.mainnav-lg #content-container {
        padding-left: 70px;
        left: 0;
    }

    #container.mainnav-lg #mainnav {
        position: relative;
    }

    #container.mainnav-lg #mainnav-menu {
        position: fixed;
        width: 70px;
    }

    #container.mainnav-lg #mainnav-menu .list-header, #container.mainnav-lg #mainnav-menu .list-divider, #container.mainnav-lg #mainnav-menu .menu-title, #container.mainnav-lg #mainnav-menu .arrow, #container.mainnav-lg #mainnav-menu .menu-title > .label,
    #container.mainnav-lg #mainnav-menu .menu-title > .badge {
        display: none;
    }

    #container.mainnav-lg #mainnav-menu .hover {
        position: relative;
    }

    #container.mainnav-lg #mainnav-menu .hover .arrow {
        display: inline;
        position: absolute;
        margin-left: 5px;
    }

    #container.mainnav-lg #mainnav-menu .hover .arrow:before {
        -webkit-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    #container.mainnav-lg #mainnav-menu a {
        white-space: nowrap;
        position: relative;
        padding: 12px 0;
        margin: 0;
        border-radius: 0;
        text-align: center;
    }

    #container.mainnav-lg #mainnav-menu a .badge {
        margin-top: -1.5em;
        position: absolute;
        padding: 3px 7px;
        right: 2px;
        top: 25%;
    }

    #container.mainnav-lg #mainnav-menu a i {
        padding: 0;
    }

    #container.mainnav-lg #mainnav-menu a.active {
        color: #ffffff;
    }

    #container.mainnav-lg #mainnav-menu li.active-sub ul.submenu > li > a.active {
        color: #25476a;
    }

    #container.mainnav-lg #mainnav-menu .collapse {
        display: none;
        height: 0 !important;
    }

    #container.mainnav-lg #mainnav-menu li > a:hover:before {
        display: block;
        content: "";
        position: absolute;
        top: -1px;
        bottom: 0;
        left: 0;
        width: 1px;
        max-width: 1px;
        overflow: hidden;
        background-color: #438EB9;
    }

    #container.mainnav-lg #mainnav-menu .menu-title {
        color: #25476a;
        position: absolute;
        z-index: 99;
        left: 71px;
        top: -2px;
        min-width: 175px;
        height: 39px;
        line-height: 38px;
        background-color: #f5f5f5;
        box-shadow: 2px 1px 2px 0 rgba(0, 0, 0, 0.2);
        border: 1px solid #CCC;
        text-align: left !important;
        padding: 0 10px 0 12px !important;
        vertical-align: middle;
    }

    #container.mainnav-lg #mainnav-menu ul.submenu {
        display: none;
        background-color: #fafafa;
        position: absolute;
        z-index: 98;
        left: 71px;
        top: -2px;
        min-width: 175px;
        border: 1px solid #CCC;
        box-shadow: 2px 1px 2px 0 rgba(0, 0, 0, 0.2);
        padding-top: 40px;
        padding-bottom: 2px;
        overflow-x: hidden;
        overflow-y: auto;
        height: auto !important;
    }

    #container.mainnav-lg #mainnav-menu li:hover {
        position: relative;
    }

    #container.mainnav-lg #mainnav-menu li:hover .menu-title {
        display: block !important;
    }

    #container.mainnav-lg #mainnav-menu li:hover ul.submenu {
        display: block !important;
        visibility: visible;
    }

    #container.mainnav-lg #mainnav-menu li:hover ul.submenu li {
        margin: 0;
        padding: 0;
    }

    #container.mainnav-lg #mainnav-menu li:hover ul.submenu li a {
        text-align: left !important;
        padding: 12px 18px !important;
    }

    #container .navbar .logo-area {
        max-width: 65%;
        min-width: auto;
        padding-left: 25px;
    }

    #container .navbar .navbar-toggler-btn {
        margin-right: 0;
    }

    #container .navbar .navbar-nav {
        display: block !important;
        position: absolute;
        right: 55px;
        top: 10px;
    }

    #container .navbar .navbar-nav li > a {
        padding: 0 !important;
    }

    #container .navbar .navbar-nav .user-profile .user-info {
        display: none !important;
    }

    #container .navbar .navbar-nav .user-profile .nav-user-photo {
        margin: -4px 0 0 0;
    }

    #container .navbar .navbar-nav .user-profile .dropdown-menu {
        position: absolute;
    }

    #container .navbar .navbar-nav .user-profile .dropdown-menu:after {
        right: 0;
    }
}
.nav-header {
    color: rgba(0,0,0,.65);
}
#mainnav-menu li {
    line-height: 15px !important;
}

select, textarea, input {
    height: auto !important;
}


@-webkit-keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

@keyframes fadeIn {
    0% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}
@keyframes spinner {
    to {transform: rotate(360deg);}
}

#loading-indicator {
    position: fixed;
    display: none;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 9999;
    background-color: rgba(0,0,0,.4);
    -webkit-animation-name: fadeIn;
    animation-name: fadeIn;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    -webkit-animation-duration: .5s;
    animation-duration: .5s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards
}

#loading-indicator span {
    transition: none;
    position: fixed;
    border-radius: 4px;
    left: 45%;
    top: 45%;
    border: 1px solid #ccc;
    display: block;
    padding: 50px 30px 5px 50px;
    background: rgba(255,255,255,.8);
    min-width: 165px
}

#loading-indicator span:before {
    content: '';
    box-sizing: border-box;
    position: absolute;
    top: 25%;
    left: 50%;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-top: -15px;
    margin-left: -15px;
    border: 1px solid #ccc;
    border-top-color: #07d;
    -webkit-animation: .6s linear infinite spinner;
    animation: .6s linear infinite spinner
}

#loading-indicator span:empty:after {
    content: 'Processing ...'
}
